#! /usr/bin/env python3


import pathlib
import os

tool_path = pathlib.Path(__file__).parent.parent / "tool" / "bin" / "asn1c"
skeleton_path = pathlib.Path(__file__).parent.parent / "tool" / "share" / "asn1c"

cmd="%s -S \"%s\"" % (str(tool_path), str(skeleton_path))
for path in (pathlib.Path(__file__).parent.parent / "msgs").glob("*.asn"):
    cmd += " \"%s\"" % (str(path))

print(cmd)
os.system(cmd)
